Bug 504403 - Review Request: perl-Cache-Memcached - Perl client for memcached
Summary: Review Request: perl-Cache-Memcached - Perl client for memcached
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-06 10:53 UTC by Michael Fleming
Modified: 2014-12-01 13:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-29 09:29:30 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Fleming 2009-06-06 10:53:45 UTC
Spec URL: http://mfleming.fedorapeople.org/perl-Cache-Memcached.spec
SRPM URL: http://mfleming.fedorapeople.org/perl-Cache-Memcached-1.26-2.fc10.mf.src.rpm
Description: A Perl client library for memcached (memory cache daemon)

Comment 1 Marcela Mašláňová 2009-06-09 08:50:42 UTC
? Rpmlint must be run on every package.
OK The package must be named according to the Package Naming Guidelines.
OK The spec file name must match the base package %{name}.
OK The package must meet the Packaging Guidelines.
? The package must be licensed with a Fedora approved license.
OK The License field in the package spec file must match the actual license.
OK If (and only if) the source package includes the text of the license(s) in its own file.
OK The spec file must be written in American English.
OK The spec file for the package MUST be legible.
OK The sources used to build the package must match the upstream source.
    ff74342ce45fbb2115792b0d24d7ae8c
OK The package MUST successfully compile.
OK Correct BuildRequires.
OK Proper use of %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK Shared library files (not just symlinks) must call ldconfig in %post and %postun.
OK Relocatable package must state this fact in the request for review.
OK A package must own all directories that it creates.
OK A package must not contain any duplicate files in the %files listing.
OK Permissions on files must be set properly.
OK Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK Each package must consistently use macros.
OK The package must contain code, or permissable content.
OK Large documentation files must go in a -doc subpackage.
OK If a package includes something as %doc, it must not affect the runtime of the application.
OK Header files must be in a -devel package.
OK Static libraries must be in a -static package.
OK Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK Library files with a suffix (e.g. libfoo.so.1.1) and files that end in .so (without suffix) must go in -devel.
OK In the vast majority of cases, devel packages must require the base package.
OK Packages must NOT contain any .la libtool archives.
OK Packages containing GUI applications must include a %{name}.desktop file.
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Remove rf from release, because it makes rpmlint scream. Also there is problem with license. I found the same as Perl itself in Cache.pm file.

Comment 2 Marcela Mašláňová 2009-06-09 08:51:16 UTC
Build pass http://koji.fedoraproject.org/koji/taskinfo?taskID=1401083

Comment 3 Michael Fleming 2009-06-09 09:22:21 UTC
Ah, this is what happens when I try and write a blog post and keep an eye on IRC / microblogs when making quick hacks to a .spec

New Spec URL: http://mfleming.fedorapeople.org/perl-Cache-Memcached.spec
SRPM URL:
http://mfleming.fedorapeople.org/perl-Cache-Memcached-1.26-3.fc10.src.rpm



[mfleming@defender mfleming]$ rpmlint /home/mfleming/rpmbuild/SRPMS/perl-Cache-Memcached-1.26-3.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[mfleming@defender mfleming]$ rpmlint perl-Cache-Memcached.spec 0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Marcela Mašláňová 2009-06-09 10:18:28 UTC
The spec file in srpm is all right. 
ACCEPT

Comment 5 Michael Fleming 2009-06-09 10:46:33 UTC
New Package CVS Request
=======================
Package Name: perl-Cache-Memcached
Short Description: Perl client for memcached
Owners: mfleming
Branches: F10 F11 EL-4 EL-5

Comment 6 Kevin Fenzi 2009-06-10 04:46:51 UTC
cvs done.

Comment 7 Emmanuel Seyman 2014-11-28 08:28:30 UTC
Package Change Request
======================
Package Name: perl-Cache-Memcached
New Branches: epel7
Owners: eseyman
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-12-01 13:11:42 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.